> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get phone number by E.164 format

> Get a phone number record by E.164 phone number (URL encoded, e.g., %2B14155551234)



## OpenAPI

````yaml get /api/v1/phone-number/lookup/{phoneNumber}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/phone-number/lookup/{phoneNumber}:
    get:
      tags:
        - Phone Numbers
      summary: Get phone number by E.164 format
      description: >-
        Get a phone number record by E.164 phone number (URL encoded, e.g.,
        %2B14155551234)
      parameters:
        - schema:
            type: string
            description: The phone number in E.164 format (URL encoded)
          required: true
          description: The phone number in E.164 format (URL encoded)
          name: phoneNumber
          in: path
      responses:
        '200':
          description: Phone number retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  phoneNumber:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      phoneNumber:
                        type: string
                      twilioSid:
                        type: string
                        nullable: true
                      ownership:
                        type: string
                        nullable: true
                      inboundAgentId:
                        type: string
                        nullable: true
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                    required:
                      - id
                      - phoneNumber
                      - twilioSid
                      - ownership
                      - inboundAgentId
                      - createdAt
                      - updatedAt
                required:
                  - phoneNumber
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '404':
          description: Phone number not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 404
                  message:
                    type: string
                    default: Not found
                  code:
                    type: string
                    enum:
                      - NOT_FOUND
                    default: NOT_FOUND
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````